/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TarifaHistDAO;
import com.rjconsultores.ventaboletos.entidad.TarifaHist;
import com.rjconsultores.ventaboletos.service.TarifaHistService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author rodrigo
 */
@Service("tarifaHistService")
public class TarifaHistServiceImpl implements TarifaHistService {

    @Autowired
    private TarifaHistDAO tarifaHistDAO;

    public List<TarifaHist> obtenerTodos() {
        return tarifaHistDAO.obtenerTodos();
    }

    public TarifaHist obtenerID(Integer id) {
        return tarifaHistDAO.obtenerID(id);
    }

    @Transactional
    public TarifaHist suscribir(TarifaHist entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tarifaHistDAO.suscribir(entidad);
    }

    @Transactional
    public TarifaHist actualizacion(TarifaHist entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tarifaHistDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TarifaHist entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tarifaHistDAO.borrar(entidad);
    }
}
